/*************************************************************************/
/***********************   DOCUMENTACIÓN   *******************************/
/*************************************************************************/
--T1: PPI_META_PMP
--T2: PPI.AMBITO_ACCION_UNIVERSITARIA 
--T3: PPI.ACCION_ESTRATEGICA
--T4: PPI.PLAN_ACCION_ESTRATEGICA
--T5: EPF.UNIDAD_EJECUTORA (PARA: PPI.PLAN_ACCION_ESTRATEGICA)
--T6: PPI.ENCARGADO_MONITOREO
--T7: EPF.UNIDAD_EJECUTORA (PARA: PPI.ENCARGADO_MONITOREO)
--T8: PPI.ETAPA_PLAN
--T9: PPI.ETAPA_PLAN (SELECT INTERNO)
--T10. EPF.PERIODO_ANUAL
--T11.PPO.TIPO_ETAPA

SELECT * FROM META_PMP;
SELECT * FROM ENCARGADO_MONITOREO;
SELECT * FROM UNIDAD_EJECUTORA;

SELECT 

        T10.ANO AS PERIODO_ANUAL, 
        T11.NOMBRE AS TIPO_ETAPA,
        T7.CODIGO AS ENCARGADO_NONITOREO_CODIGO,
        T7.NOMBRE AS ENCARGADO_NONITOREO_NOMBRE,
        T8.NOMBRE AS ETAPA,
        TRIM(T1.CODIGO || '. ' || T1.DESCRIPCION) AS META_ESTRATEGICA,    
        T2.NOMBRE AS AMBITO_ACCION_UNIVERSITARIA,
        LISTAGG(T5.CODIGO ,CHR(13))WITHIN GROUP(ORDER  BY T5.ID_UNIDAD_EJECUTORA) AS RESPONSABLES_cod,
        LISTAGG( T5.NOMBRE,CHR(13))WITHIN GROUP(ORDER  BY T5.ID_UNIDAD_EJECUTORA) AS RESPONSABLES
        
        
        FROM PPI.META_PMP T1
        INNER JOIN PPI.AMBITO_ACCION_UNIVERSITARIA T2 ON (T2.ID_AMBITO_ACCION_UNIVERSITARIA = T1.AMBITO_ACCION_UNIVERSITARIA)
        INNER JOIN PPI.ACCION_ESTRATEGICA T3 ON (T3.META_PMP = T1.ID_META_PMP)        
        INNER JOIN PPI.PLAN_ACCION_ESTRATEGICA T4 ON (T4.ID_PLAN_ACCION_ESTRATEGICA = T3.PLAN_ACCION_ESTRATEGICA) 
        INNER JOIN EPF.UNIDAD_EJECUTORA T5 ON (T5.ID_UNIDAD_EJECUTORA = T4.UNIDAD_EJECUTORA)
        INNER JOIN PPI.ENCARGADO_MONITOREO T6 ON (T6.ID_ENCARGADO_MONITOREO = T1.ENCARGADO_MONITOREO)
        INNER JOIN EPF.UNIDAD_EJECUTORA T7 ON (T7.ID_UNIDAD_EJECUTORA = T6.UNIDAD_EJECUTORA)
        INNER JOIN PPI.ETAPA_PLAN T8 ON (T8.ID_ETAPA_PLAN = T4.ETAPA_PLAN)
        INNER JOIN EPF.PERIODO_ANUAL T10 ON (T10.ID_PERIODO_ANUAL = T8.PERIODO_ANUAL)
        INNER JOIN PPI.TIPO_ETAPA T11 ON (T11.ID_TIPO_ETAPA = T8.TIPO_ETAPA)
        
        WHERE 
        
                -- PARAMETRO:ENCARGADO_MONITOREO       
                (T6.UNIDAD_EJECUTORA = :encargadoMonitoreo)
            AND 
                -- PARAMETRO: ETAPA_PLAN
                (T4.ETAPA_PLAN = 
                                (SELECT 
                                        T9.ID_ETAPA_PLAN 
                                FROM ETAPA_PLAN T9
                                WHERE 
                                        T9.PERIODO_ANUAL = :periodoAnual 
                                    AND T9.TIPO_ETAPA = : tipoEtapa 
                                    AND T9.TIPO_PLAN = (
                                                SELECT 
                                                    VALOR 
                                                FROM SAS.PARAMETRO
                                                WHERE LLAVE = 'param_ppi_ppe_tipoPlan_PXE'))
                )  
            AND 
                -- CONDICIÓN: PPI.ENCARGADO_MONITOREO.ACTIVO=1
                (T6.ACTIVO = 1)  
            AND 
                -- CONDICIÓN: PPI.PLAN_ACCION_ESTRATEGICA.ACTIVO=1
                (T4.ACTIVO = 1)
        GROUP BY 
                T10.ANO,
                T11.NOMBRE,
                T7.CODIGO, 
                T7.NOMBRE, 
                T8.NOMBRE, 
                TRIM(T1.CODIGO || '. ' || T1.DESCRIPCION), 
                T2.NOMBRE;

        
        
 